Exchange an application-managed payment authorization
curl --request POST \
--url https://api.darwin.so/api/v1/transactions/{transactionId}/payment-authorizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "STRIPE_SHARED_PAYMENT_TOKEN",
"networkProfileId": "<string>",
"grantedToken": "<string>"
}
'import requests
url = "https://api.darwin.so/api/v1/transactions/{transactionId}/payment-authorizations"
payload = {
"type": "STRIPE_SHARED_PAYMENT_TOKEN",
"networkProfileId": "<string>",
"grantedToken": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'STRIPE_SHARED_PAYMENT_TOKEN',
networkProfileId: '<string>',
grantedToken: '<string>'
})
};
fetch('https://api.darwin.so/api/v1/transactions/{transactionId}/payment-authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentAuthorization": {
"authorizationId": "<string>",
"transactionId": "<string>",
"status": "<string>",
"providerPaymentIntentId": "<string>",
"nextActionRequired": true
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Darwin API · Deals
Exchange an application-managed payment authorization
Private preview. Validates and consumes one transaction-scoped Stripe Shared Payment Token. Generic PaymentMethod IDs, card data, and caller assertions that a payment occurred are rejected.
POST
/
transactions
/
{transactionId}
/
payment-authorizations
Exchange an application-managed payment authorization
Authorizations
Darwin API keys begin with darwin_ and are created in Developer settings.
Headers
A caller-generated key, unique to this operation and payload.
Required string length:
1 - 200Path Parameters
Body
application/json
Allowed value:
"STRIPE_SHARED_PAYMENT_TOKEN"Darwin seller network identifier used when the application provisions the SPT.
Maximum string length:
200One transaction-scoped, time-limited Stripe Shared Payment Token.
Maximum string length:
200Pattern:
^spt_[A-Za-z0-9]+$Response
The transaction-scoped payment authorization state.
Show child attributes
Show child attributes